Bug 1307092 - fwupd failed dependency
fwupd failed dependency
Product: Fedora
Classification: Fedora
Component: fwupd (Show other bugs)
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
: Reopened
Depends On:
  Show dependency treegraph
Reported: 2016-02-12 12:06 EST by Roy A. Gilmore
Modified: 2016-06-28 10:45 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2016-06-28 03:36:03 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Roy A. Gilmore 2016-02-12 12:06:09 EST
Description of problem:
fwupd-0.1.5-3.fc22.x86_64.rpm is missing a dependency on libfwup.so.0.4()(64bit)

Version-Release number of selected component (if applicable):

How reproducible:
Every time

Steps to Reproduce:
1. Attempt to install or update fwupd

Actual results:
error: Failed dependencies:
	libfwup.so.0.4()(64bit) is needed by fwupd-0.1.5-3.fc22.x86_64

Expected results:

Additional info:
libfwup.so.0.5 is installed by fwupdate-libs-0.5-3.fc22.x86_64
Comment 1 Richard Hughes 2016-04-01 11:19:35 EDT
I don't see why dnf wouldn't pick this up automatically. Either way, I've not seen this on f23 or f24, but please re-open this if you still see it.
Comment 2 Roy A. Gilmore 2016-04-01 12:19:16 EDT
Dnf does pick it up automatically. See this output:

[nobody@nowhere foobar]# dnf check-update
Last metadata expiration check performed 0:07:10 ago on Fri Apr  1 09:07:39 2016.

fwupd.x86_64                                                  0.1.5-3.fc22                                                   updates

[nobody@nowhere foobar]# dnf update
Last metadata expiration check performed 0:07:18 ago on Fri Apr  1 09:07:39 2016.
Dependencies resolved.
 Package                     Arch                         Version                               Repository                     Size
Skipping packages with broken dependencies:
 fwupd                       x86_64                       0.1.5-3.fc22                          updates                       112 k

Transaction Summary
Skip  1 Package

Nothing to do.

It may not exist in f23 or f24, but (I'm not trying to be sarcastic here) I filed the bug against f22, and as of this moment it still exists in f22. As far as I know f22 is still supported.
Comment 3 Richard Hughes 2016-06-28 03:36:03 EDT
I think you need to move to f23 or f24 at this point, sorry.
Comment 4 Roy A. Gilmore 2016-06-28 10:45:53 EDT
I know that the reason I couldn't upgrade to F23 is not anyone at Fedora's concern, but, the reason I couldn't upgrade to F23 was that F23 broke vmWare. I know some people consider it blasphemy that I use proprietary software, but I haven't found an open source virtualization package that is as stable, and works as well as vmWare. Eventually a workaround was found, and I did upgrade. This bug doesn't effect me any more, but, I'm really not sure why this wasn't fixed. It didn't require any troubleshooting, or writing code, it was just a simple dependency issue that only required adjusting the spec file and repackaging.

Note You need to log in before you can comment on or make changes to this bug.